Nous avons mis à jour les paquets suivants de LVE Manager, lve-utils, and alt-python27-cllib sur tous nos serveurs pour les versions suivantes.

Changelog:

alt-python27-cllib-1.4-12

  • PTCLLIB-125: correction d'un problème lorsque cllib utils.grep() ne fonctionnait pas correctement et donnait des résultats erronés à de nombreux endroits (par exemple, confusion du paquet DirectAdmin);
  • LU-633: les utilisateurs sont désormais avertis lorsque l'administrateur a modifié la version de leurs applications (partie 2): déplacement de l'assistant mail de lve-stats2 vers python-cllib, ajout d'une configuration de base pour la journalisation;
  • LU-771: Unicode prédéfini renvoyé avec la clé "Fichier de démarrage de l'application" pour le sélecteur Node.js.

lve-utils-3.0-16

  • PTCLLIB-125: correction d'un problème lorsque cllib utils.grep() ne fonctionnait pas correctement et donnait des résultats erronés à de nombreux endroits (par exemple, confusion du paquet DirectAdmin);
  • LU-789: DirectAdmin: ignorez les utilisateurs avec des données incomplètes/cassées dans user.conf et écrivez des avertissements dans syslog;
  • LVEMAN-1244: étude d'un problème lorsque l'interface utilisateur de LVE Manager se charge très lentement sur un serveur avec beaucoup d'utilisateurs;
  • LU-760: le wrapper affiche maintenant l'erreur "ne peut pas être exécuté en tant que root";
  • LU-678: script cldiag amélioré pour détecter le gestionnaire lsapi;
  • LU-679: script cldiag amélioré pour détecter les modules suPHP/suEXEC;
  • LU-798: étudié et corrigé pourquoi cldiag --json --check-phpselector ne fonctionnait pas correctement;
  • LU-771: Unicode prédéfini renvoyé avec la clé "Fichier de démarrage de l'application" pour le sélecteur Node.js;
  • LU-633: les utilisateurs sont désormais informés lorsque l'administrateur a modifié la version de leurs applications;
  • LVES-899: les fausses ressources dépassaient les alertes;
  • LU-537: ajout de cronjob pour la détection du panneau de commande et reconfiguration automatique de notre logiciel (ne pas réinstaller les packages si PANEL FILE est absent);

lvemanager-4.0-21.2

  • LVEMAN-1327: correction d'un problème lorsque Select PHP Version ne parvient pas à gérer les extensions de la version non courante de PHP;
  • WEB-1087: Autoriser une valeur de CPU d'entrée avec point ou virgule après zéro;
  • WEB-1082: correction de la "date invalide" pour le menu de notification lorsque les paramètres régionaux "ru" sont sélectionnés;
  • WEB-1084: ajout de la localisation manquante pour les paramètres régionaux "ru";
  • WEB-1085: les versions désactivées de Node.js ne sont plus affichées lors de la création d'une nouvelle application.
  • LVEMAN-1312: ajout d'une possibilité de spécifier les PID des processus que selectorctl ne doit pas tuer;
  • WEB-1026: common.less n'est plus importé dans tous les fichiers moins;
  • WEB-1037: utilisation de cagefs_enter en cagefs_enter.proxied (correctif);
  • WEB-959: créé un nouveau menu et ajouté un nouveau chargeur (correctif);
  • WEB-1043: la sauvegarde de package.json non valide est désormais empêchée;
  • WEB-1044: correction d'une "erreur indéfinie" dans l'interface utilisateur de LVE Manager en raison du problème d'enregistrement;
  • WEB-1017: implémentation de "SERIAL_MODE" des autotests d'exécution;
  • LVEMAN-1295: les messages d'erreur relatifs à l'URI et à l'alias de l'application sont maintenant moins compliqués.
  • WEB-1007: module News intégré dans un nouveau menu;
  • WEB-955: ajout d'une possibilité de notification à propos des annonces (Gestionnaire LVE);
  • WEB-959: créé un nouveau menu et ajouté un nouveau chargeur;
  • WEB-1029: correction de l'affichage de l'application Node.js avec env-vars incorrects;
  • WEB-1020: interface utilisateur améliorée de l'application Node.js start/stop et exécution de scripts JS;
  • WEB-989: vérification supplémentaire de la configuration du sélecteur Node.js;
  • WEB-683: Sélecteur PHP: vérifiez la configuration du serveur Web et affichez un avertissement s'il n'est pas compatible.
  • WEB-1027: suppression de la demande supplémentaire cloudlinux-config dans l'onglet Options;
  • WEB-1000: exécution de tests de rapporteur sur DirectAdmin et Plesk;
  • WEB-1005: exécution de tests de rapporteur sur Plesk;
  • WEB-1032: utiliser le protocole HTTP explicitement pour l'URL de l'application;
  • WEB-972: "exécuter le script JS" fonctionne désormais avec des symboles non latins;
  • WEB-1019: alignement des en-têtes de toutes les tables par l'axe horizontal central et positionnement fixe des éléments à l'intérieur de la table;
  • WEB-998: écriture de l'autotest pour vérifier les dimensions des valeurs et le tri sur l'onglet Statistiques;
  • WEB-1036: largeur d'entrée de l'URI fixe pour les applications Node.js sur le panneau DirectAdmin;
  • WEB-607: filtre de temps pour l'onglet Statistiques;
  • WEB-827: les gros jeux de données sont maintenant analysés correctement dans l'onglet Statistiques;
  • LU-771: Unicode prédéfini renvoyé avec la clé "Fichier de démarrage de l'application" pour le sélecteur Node.js;
  • LU-777: correction d'un problème lié à la création incorrecte des applications Node.js;
  • LU-760: le wrapper affiche désormais l'erreur "ne peut pas être exécuté en tant que root";
  • WEB-1006: ajout d'un lien pour l'URL de l'application dans le plug-in utilisateur et administrateur de Node.js;
  • WEB-987: correction d'un problème lorsque le sélecteur Node.js enregistre la racine de l'application en commençant par ./ ​​de manière incorrecte;
  • WEB-1002: ajout d'un avertissement dans la boîte de dialogue "Run Script";
  • WEB-1008: possibilité d'économiser CPU en Ghz (Mhz) en nombre à virgule flottante;
  • WEB-1011: tests d'intégrations adaptés à partir de la nouvelle 10ème version de Node.js;
  • LU-745: trace fixe pour la création de l'application Node.js avec un quota limité.

Pour mettre à jour l'exécution:

yum update lvemanager alt-python27-cllib lve-utils 


 jeudi, août 16, 2018



« Retour